#ifndef _MATH_H
#define _MATH_H
/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.
 *
 *   Created: Fri Feb 23 20:31:13 1996
 *
 *   Modified (anyway) for PalmOS Feb 22, 1997, D.Jeff Dionne
 */

typedef struct {
 double r;
 double i;
}cmplxf;

/* Some useful constants.  */
#define M_E		2.7182818284590452354	/* e */
#define M_LOG2E		1.4426950408889634074	/* log_2 e */
#define M_LOG10E	0.43429448190325182765	/* log_10 e */
#define M_LN2		0.69314718055994530942	/* log_e 2 */
#define M_LN10		2.30258509299404568402	/* log_e 10 */
#define M_PI		3.14159265358979323846	/* pi */
#define M_PI_2		1.57079632679489661923	/* pi/2 */
#define M_PI_4		0.78539816339744830962	/* pi/4 */
#define M_1_PI		0.31830988618379067154	/* 1/pi */
#define M_2_PI		0.63661977236758134308	/* 2/pi */
#define M_2_SQRTPI	1.12837916709551257390	/* 2/sqrt(pi) */
#define M_SQRT2		1.41421356237309504880	/* sqrt(2) */
#define M_SQRT1_2	0.70710678118654752440	/* 1/sqrt(2) */


extern double acos ( double x );
extern double acosh ( double xx );
extern int airy ( double xx, double *ai, double *aip, double *bi, double *bip );
extern double asin ( double xx );
extern double asinh ( double xx );
extern double atan2 ( double y, double x );
extern double atan ( double xx );
extern double atanh ( double xx );
extern double bdtrc ( int k, int n, double pp );
extern double bdtr ( int k, int n, double pp );
extern double bdtri ( int k, int n, double yy );
extern double beta ( double aa, double bb );
extern double cabs ( cmplxf *z );
extern void cacos ( cmplxf *z, cmplxf *w );
extern void cadd ( cmplxf *a, cmplxf *b, cmplxf *c );
extern void casin ( cmplxf *z, cmplxf *w );
extern void catan ( cmplxf *z, cmplxf *w );
extern double cbrt ( double xx );
extern void cchsh ( double xx, double *c, double *s );
extern void ccos ( cmplxf *z, cmplxf *w );
extern void ccot ( cmplxf *z, cmplxf *w );
extern void cdiv ( cmplxf *a, cmplxf *b, cmplxf *c );
extern double ceil ( double x );
extern void cexp ( cmplxf *z, cmplxf *w );
extern double chbevl ( double x, double *array, int n );
extern double chdtrc ( double dff, double xx );
extern double chdtr ( double dff, double xx );
extern double chdtri ( double dff, double yy );
#if 0
extern void clog ( cmplxf *z, cmplxf *w );
#endif
extern void cmov ( short *a, short *b );
extern void cmul ( cmplxf *a, cmplxf *b, cmplxf *c );
extern void cneg ( cmplxf *a );
extern double cosdg ( double xx );
extern double cos ( double xx );
extern double cosh ( double xx );
extern double cotdg ( double x );
extern double cot ( double x );
extern void csin ( cmplxf *z, cmplxf *w );
extern void csqrt ( cmplxf *z, cmplxf *w );
extern void csub ( cmplxf *a, cmplxf *b, cmplxf *c );
extern void ctan ( cmplxf *z, cmplxf *w );
extern double ctans ( cmplxf *z );
extern double dawsn ( double xxx );
extern int dprec ( void );
extern double ellie ( double phia, double ma );
extern double ellik ( double phia, double ma );
extern double ellpe ( double xx );
extern int ellpj ( double uu, double mm, double *sn, double *cn, double *dn, double *ph );
extern double ellpk ( double xx );
extern double erfc ( double aa );
extern double erf ( double xx );
extern double exp10 ( double xx );
extern double exp2 ( double xx );
extern double exp ( double xx );
extern double expn ( int n, double xx );
extern double fac ( int i );
extern double fdtrc ( int ia, int ib, double xx );
extern double fdtr ( int ia, int ib, int xx );
extern double fdtri ( int ia, int ib, double yy );
extern double floor ( double x );
extern void fresnl ( double xxa, double *ssa, double *cca );
extern double frexp ( double x, int *pw2 );
extern double gamma ( double xx );
extern double gdtrc ( double aa, double bb, double xx );
extern double gdtr ( double aa, double bb, double xx );
extern double hyp2f0 ( double aa, double bb, double xx, int type, double *err );
extern double hyp2f1 ( double aa, double bb, double cc, double xx );
extern double hyperg ( double aa, double bb, double xx );
extern double i0e ( double x );
extern double i0 ( double x );
extern double i1e ( double xx );
extern double i1 ( double xx );
extern double igamc ( double aa, double xx );
extern double igam ( double aa, double xx );
extern double igami ( double aa, double yy0 );
extern double incbet ( double aaa, double bbb, double xxx );
extern double incbi ( double aaa, double bbb, double yyy0 );
extern double incbps ( double aa, double bb, double xx );
extern double iv ( double v, double x );
extern double j0 ( double xx );
extern double j1 ( double xx );
extern double jn ( int n, double xx );
extern double jv ( double nn, double xx );
extern double k0e ( double xx );
extern double k0 ( double xx );
extern double k1e ( double xx );
extern double k1 ( double xx );
extern double kn ( int nnn, double xx );
extern double ldexp ( double x, int pw2 );
extern int ldprec ( void );
extern double lgam ( double xx );
extern double log10 ( double xx );
extern double log2 ( double xx );
extern double log ( double xx );
/* extern int mtherr ( char *name, int code ); */
extern double nbdtrc ( int k, int n, double pp );
extern double nbdtr ( int k, int n, double pp );
extern double ndtr ( double aa );
extern double ndtri ( double yy0 );
extern double onef2 ( double aa, double bb, double cc, double xx, double *err );
extern double p1evl ( double xx, double *coef, int N );
extern double pdtrc ( int k, double mm );
extern double pdtr ( int k, double mm );
extern double pdtri ( int k, double yy );
extern void poladd ( double a[], int na, double b[], int nb, double c[] );
extern void polclr ( double *a, int n );
extern int poldiv ( double a[], int na, double b[], int nb, double c[] );
extern double poleva ( double *a, int na, double xx );
extern double polevl ( double xx, double *coef, int N );
extern void polini ( int maxdeg );
extern void polmov ( double *a, int na, double *b );
extern void polmul ( double a[], int na, double b[], int nb, double c[] );
extern void polprt ( double *a, int na, int d );
extern void polsbt ( double a[], int na, double b[], int nb, double c[] );
extern void polsub ( double a[], int na, double b[], int nb, double c[] );
extern double pow ( double x, double y );
extern double powi ( double x, int nn );
extern double psi ( double xx );
extern double redupi ( double xx );
extern double rgamma ( double xx );
extern int shichi ( double xx, double *si, double *ci );
extern int sici ( double xx, double *si, double *ci );
extern double sindg ( double xx );
extern double sin ( double xx );
extern double sinh ( double xx );
extern double spence ( double xx );
extern int sprec ( void );
extern double sqrt ( double xx );
extern double stdtr ( int k, double tt );
extern double struve ( double vv, double xx );
extern double tandg ( double x );
extern double tan ( double x );
extern double tanh ( double xx );
extern double threef0 ( double aa, double bb, double cc, double xx, double *err );
extern double y0 ( double xx );
extern double y1 ( double xx );
extern double yn ( int nn, double xx );
extern double yv ( double vv, double xx );
extern double zetac ( double xx );
extern double zeta ( double xx, double qq );

#endif /* _MATH_H */
